LOGIN_CHECK_EXPIRE(3)

NAME
login_check_expire - check for password expiration

SYNOPSIS
#include <stdio.h>
#include <util.h>
int
login_check_expire(FILE *back, struct passwd *pwd, char *class, int lastchance);

DESCRIPTION
The login_check_expire() function is called by a BSD Authentication login script to check whether the user's password entry, as described by pwd, has expired.

If a class is specified, it is used instead of the class specified in the user's password database entry. If the lastchance argument is non-zero, the user's password has expired, and it has not been expired longer than “password-dead” seconds (see login.conf(5)), the user will be able to log in one last time to change the password.

RETURN VALUES
The login_check_expire() function returns 0 if the user's password has not expired, and 1 if it has expired or if an error occurred.
Status and error messages are passed back to the login script caller via the back channel, back.

SEE ALSO
auth_subr(3), authenticate(3), login.conf(5)